<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::VertexData Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#ad6f88995ea6fd3d8aeabd4b0cc90abc4">allocateHardwareAnimationElements</a>(ushort count, bool animateNormals)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#ad92e18126024740a16e296428786f7e1">clone</a>(bool copyData=true, HardwareBufferManagerBase *mgr=0) const </td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a155a22e5f5cf3cc46c8890a81383ee19">closeGapsInBindings</a>(void)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a0f6c57d776f87c08bb6fd6515f26270e">convertPackedColour</a>(VertexElementType srcType, VertexElementType destType)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a8cbc3dcd7a4375b35b8595df246756e9">HardwareAnimationDataList</a> typedef</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a154124cc2848e3eae62e9d508f45e921">hardwareShadowVolWBuffer</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a43acb3f735c2d4bdfdfbfdebc26dc52e">hwAnimationDataList</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#af24c57003d9fa3d717ca16e7f5becb41">hwAnimDataItemsUsed</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a4cad19bf7cc1610d24d62f06149f9107">mDeleteDclBinding</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a53b43c61112a244ebc39ad112c964d52">mMgr</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#ae1bb626aef6af169178ee9f7165aaed0">operator=</a>(const VertexData &amp;rhs)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a35751c0e63acf6def8a1cf101abd1b28">prepareForShadowVolume</a>(void)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a9c8caba4952eb43bced5051c3e3bff1f">removeUnusedBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a106603d9d4d6c2f6e0d5eb6c25eb7c32">reorganiseBuffers</a>(VertexDeclaration *newDeclaration, const BufferUsageList &amp;bufferUsage, HardwareBufferManagerBase *mgr=0)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#ad1c61a5203430f896579775636e23d25">reorganiseBuffers</a>(VertexDeclaration *newDeclaration, HardwareBufferManagerBase *mgr=0)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a1cf7dacb2a133d71620abd59cb3180b0">vertexBufferBinding</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a0b59b63cc2dbede1c5fc6a932fd2c10d">vertexCount</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#ac27bb140d24d66d1f6051f47a8bb5860">VertexData</a>(const VertexData &amp;rhs)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a2396c78b8d5353f2f0f0fa24467550ac">VertexData</a>(HardwareBufferManagerBase *mgr=0)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#a7a588ae595eadd30f8f245afed2a5734">VertexData</a>(VertexDeclaration *dcl, VertexBufferBinding *bind)</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#abac9cde9c001b97cf1fea7fd05b79cf4">vertexDeclaration</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#aa3dca90128a99a8cdcd68201ad2c2f93">vertexStart</a></td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexData.html#acb2f442725d39e33a39f4d07f317fdc0">~VertexData</a>()</td><td><a class="el" href="classOgre_1_1VertexData.html">Ogre::VertexData</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
